#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

ExcludeArch:    armv5tl

Summary:        Akonadi Calendar Integration
Name:           akonadi-calendar
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  kdelibs4support-devel >= 5.12.0
BuildRequires:  kio-devel >= 5.12.0
BuildRequires:  kwallet-devel >= 5.12.0
BuildRequires:  kcodecs-devel >= 5.12.0
BuildRequires:  kmailtransport-devel >= %version
BuildRequires:  kcontacts-devel
BuildRequires:  kidentitymanagement-devel >= %version
BuildRequires:  kcalcore-devel
BuildRequires:  kcalutils-devel
BuildRequires:  akonadi-devel
BuildRequires:  cmake(KF5AkonadiContact)

BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libsasl2)

%description
Akonadi Calendar Integration.

#--------------------------------------------------------------------

%define kf5akonadicalendar_major 5
%define libkf5akonadicalendar %mklibname kf5akonadicalendar %{kf5akonadicalendar_major}

%package -n %libkf5akonadicalendar
Summary:      Akonadi Calendar Integration
Group:        System/Libraries

Obsoletes:    %{_lib}kf5akonadicalendar4 < 16.03.80


%description -n %libkf5akonadicalendar
Akonadi Calendar Integration.

%files -n %libkf5akonadicalendar
%_kf5_libdir/libKF5AkonadiCalendar.so.%{kf5akonadicalendar_major}*

#--------------------------------------------------------------------

%define kf5akonadicalendar_devel %mklibname kf5akonadicalendar -d

%package -n %kf5akonadicalendar_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5akonadicalendar = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5akonadicalendar_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5akonadicalendar_devel
%_kf5_includedir/Akonadi/Calendar
%_kf5_includedir/akonadi/calendar
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiCalendar
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089978
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076713
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071934
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067251
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061310
- New version 16.08.2

* Tue Sep 20 2016 neoclust <neoclust> 16.08.1-3.mga6
+ Revision: 1054683
- Do not try to buil on armv5 as long as akonadi-contact does not exist

* Mon Sep 19 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1054186
- Rebuild for ARM

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050577
- New version 16.08.1

* Tue Aug 23 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047969
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1039974
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012465
- New version 16.04.1
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004255
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-2.mga6
+ Revision: 996786
- Add obsoletes to ease upgrade
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991109
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987373
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922548
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911887
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-4.mga6
+ Revision: 907201
- Rebuild on ARM, now that kmailtransport is available

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-3.mga6
+ Revision: 907064
- Rebuild on ARM

* Thu Nov 26 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906321
- Rebuild against new akonadi

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905349
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901085
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890557
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880378
- New version 15.08.1
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865896
- New version 15.08.0
- New version 15.07.90

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863755
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861709
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858656
- imported package akonadi-calendar

